Page MenuHomePhabricator

Add help text for Connection Method and Connection Owner in IPInfo infobox [M]
Closed, ResolvedPublic

Description

FieldHelp text
Connection methodThe technology through which they’re connecting to the internet.
Connection ownerThe kind of entity that owns the internet connection.

image.png (820×1 px, 157 KB)

Full design spec on Figma

Currently we generate a <dl> to display the data (see mw.IpInfo.IpInfoWidget#generateMarkup). We could instead use OOUI fieldlayouts, where the fieldWidget would be a LabelWidget containing the data, so something like:

new OO.ui.FieldLayout( labelWidgetContainingData, {
    label: 'ipinfo-property-label-thisproperty', 
    align: 'top',
    help: 'ipinfo-help-label-thisproperty', // Message key for the text in the table above
    helpInline: false
} );

Event Timeline

Niharika triaged this task as Medium priority.Jan 19 2021, 4:21 AM
Niharika moved this task from Design to Triage/To be Estimated on the Anti-Harassment board.

Change 666197 had a related patch set uploaded (by AdhamKhatean; owner: AdhamKhatean):
[mediawiki/extensions/IPInfo@master] [WIP] Add info text icons and text where required in IP Info

https://gerrit.wikimedia.org/r/666197

Here's how this looks with the patch as it is:

image.png (603×357 px, 56 KB)

The spacing has been greatly increased when using OOUI as-is. @Prtksxna should we re-adjust the spacing? Also I'm not sure how great a pop-up in a pop-up is, which it also seems like the library doesn't support out of the box either. Do you think we should consider any alternatives? fwiw I do think it can be fixed w/some CSS and it's not the worst since it's a click activated, not hover activated pop-up.

And the original:

image.png (337×346 px, 26 KB)

Hey @STran the help popups are only meant for the box that shows up on Special:Contributions. This popup is eventually meant to have only on-wiki information and won't need any help text (T268657).

Niharika renamed this task from Add info text icons and text where required in IP Info to Add info text icons and text in IP Information box on Special:Contribs.Jul 28 2021, 11:25 PM
Niharika removed a project: Patch-For-Review.
Niharika added a subscriber: AdhamKhatean.
ARamirez_WMF renamed this task from Add info text icons and text in IP Information box on Special:Contribs to Add info text icons and text in IP Information box on Special:Contribs [M].Aug 25 2021, 4:57 PM

I noticed this was moved into the ready column but shouldn't it remain blocked on account of none of the fields that need information existing yet? Connection type/owner is still going through code review, the proxy information is not currently rendered on the front-end (but is passed in the api), and we cannot get static/dynamic ip info.

Going to claim this anyway and look into any necessary pre-reqs

Confirmed there were blockers for T269763: Add Static / Dynamic value to the IP Information box [M] and T297961: Add Proxy Information to infobox [L] so I've moved adding the tooltips for those properties to their associated tickets. This ticket can be for Connection Method/Owner, which has been merged and can act as the template for the future properties.

STran renamed this task from Add info text icons and text in IP Information box on Special:Contribs [M] to Add help text for Connection Method and Connection Owner in IPInfo infobox [M].Dec 17 2021, 4:59 PM

Change 748164 had a related patch set uploaded (by STran; author: STran):

[mediawiki/extensions/IPInfo@master] Add tooltips for Connection Method and Connection Owner

https://gerrit.wikimedia.org/r/748164

@STran & @Prtksxna I've looked at the patch and it appears to work well on the IPInfobox but these aren't displaying in the popup. Just to clarify from the previous comments, we are NOT doing these in the popup? If that's the case, I'm good to +2.

Just to clarify from the previous comments, we are NOT doing these in the popup?

That is correct the popup wont have the information icon and help text.

Change 748164 merged by jenkins-bot:

[mediawiki/extensions/IPInfo@master] Add tooltips for Connection Method and Connection Owner

https://gerrit.wikimedia.org/r/748164

Looking at this on the Special:Contributions, the (i) is quite far to the right and it is unclear whether it is for the Connection Method and Connection Owner or the Active Blocks and Contributions.

connection_tooltips.png (273×1 px, 36 KB)

@Prtksxna What do you think?

Thanks for bringing this up Dom. @STran had mentioned this too and we captured it in T297957: IPInfo: Help popup position makes it unclear what its attached to.
Also noting that after the desktop refresh the width of the content will be capped at 960px (I think). This might be confusing at that width too, though.

I tested the two new help popups on:

Browsers:

  • Firefox 78
  • Chromium 87
  • Safari 14

Skins:

  • Vector (new and old)
  • Minerva
  • MonoBook
  • Timeless

In LTR (enwiki) and RTL (hewiki).

Test environment: https://en.wikipedia.beta.wmflabs.org IP Info 0.0.0 (f689abd) 07:25, 7 January 2022.